common cvs-import.sh,1.2,1.3

Cristian Gafton (gafton) fedora-extras-commits at redhat.com
Sun Dec 12 20:37:03 UTC 2004


Changeset from: gafton

Update of /cvs/extras/common
In directory cvs.fedora.redhat.com:/tmp/cvs-serv29763

Modified Files:
	cvs-import.sh 
Log Message:
- check out only the modules file instead of the entire CVSROOT



Index: cvs-import.sh
===================================================================
RCS file: /cvs/extras/common/cvs-import.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- cvs-import.sh	7 Dec 2004 23:09:02 -0000	1.2
+++ cvs-import.sh	12 Dec 2004 20:37:01 -0000	1.3
@@ -113,14 +113,14 @@
 TMPDIR=$(mktemp -d $WORKDIR/tmpcvsXXXXXX)
 trap "rm -rf $TMPDIR" 0 9 15
 
-echo "Checking out the CVSROOT..."
+echo "Checking out the modules file..."
 cd $TMPDIR
-$CVS -Q checkout CVSROOT || {
+$CVS -Q checkout modules || {
     echo "ERROR: Could not check out the CVSROOT from $CSVROOT"
     exit 1
 }
 # keep a reference to this checkout
-MODDIR="$TMPDIR/CVSROOT"
+MODDIR="$TMPDIR/modules"
 
 # A cleanup function that can be called from random places
 CleanUp() {
@@ -147,7 +147,6 @@
 
 This tool allows you to import packages only on pre-existing branches. If you
 would like the new branch created, please email sysadmin-devel at redhat.com.
-
 EOF
 	exit -1
     fi
@@ -156,7 +155,7 @@
 # Figure out if we need to import a new module
 if [ -z "$(grep ""^$NAME[[:space:]]"" modules 2>/dev/null)" ] ; then
     # This is a new module, it does not exist
-    cvs -Q update && \
+    cvs -Q update modules && \
 	echo "Creating new module: $NAME" && \
 	echo -e "$NAME\t\t$TOPLEVEL/$NAME &common" >> modules && \
 	cvs -Q commit -m "Added new module: $NAME" >/dev/null && \




More information about the fedora-extras-commits mailing list